.checkbox-group {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.checkbox-group > div > div {
    width: 200px;
}

.checkbox-group > div > div:not(:last-child) {
    margin-bottom: 20px;
}

.checkbox-group .password-input input {
    width: 200px;
    background: transparent;
    border-radius: 4px;
    border: 2px solid #8F4066;
    color: #fff;
    padding: 10px;
    display: block;
    font-family: 'Inter', sans-serif;
    letter-spacing: 0.15rem;
}

.checkbox-group .password-input input:focus {
    outline: none;
}

.checkbox-group input {
    display: none;
}
.checkbox-group label {
    display: flex;
    font-size: 0.875em;
    gap: 0.5em;
    align-items: center;
    transition: 0.5s color ease;
    cursor: pointer !important;
    position: relative;
    color: #8F4066;
    letter-spacing: 0.15rem;
    font-family: 'Inter', sans-serif;
    user-select: none;
}
.checkbox-group label::before {
    content: "";
    width: 28px;
    height: 28px;
    border: 2px solid #8F4066;
    border-radius: 4px;
}

.checkbox-group input:checked + label {
    color: #fff;
}

.checkbox-group input:disabled + label::before, .checkbox-group input:disabled + label {
    color: #408c8f;
    border-color: #408c8f;
    text-decoration: line-through;
}

.checkbox-group label::after {
    content: "";
    width: 18px;
    height: 18px;
    top: 7px;
    left: 7px;
    border-radius: 4px;
    background-color: #8F4066;
    position: absolute;
    transform: scale(0);
    transition: 0.5s transform ease;
}
.checkbox-group input:checked + label::after {
    transform: scale(1);
}